<html>

<head>
<title>מפגש 8 - תירגול - תנאים - 7 בום!</title>
<meta http-equiv="content-type"  content="text/html; charset=UTF-8">
</head>

<body>

<div dir=rtl>גרסא 1.0</div>

<div dir=rtl>
<h1 dir=rtl>מפגש 8 - תירגול - תנאים - 7 בום!</h1>

<p>
במפגש זה נכתוב תוכנית המאפשרת לשחק "7 בום!" מול המחשב. חוקי המשחק "7 בום!" הם
פשוטים למדי - כל שחקן בתורו אומר מספר (לפי הסדר) - 1, 2, 3 וכולי. אם שחקן הגיע
למספר המתחלק בשבע (7, 14, 21..), עליו לאמר "בום" במקום המספר. מי שטועה בסדר
המספרים או אומר מספר במקום בום (או להיפך) - נפסל.
</p>

<p>
מאחר והמחשב אף פעם לא יטעה - במשחק של אדם מול מחשב נכריז על השחקן כמנצח אם
הגיע למספר 30 בלי להתבלבל.
</p>

<hr size=4>

<h2>הנחיות</h2>
<p>
כדי להקל על עצמנו, נבנה את התוכנית בכמה שלבים.

<ol>
<li> בשלב ראשון,נכתוב תוכנית בה המחשב משחק לבדו.<br><br>
     כיתבו תוכנית הסופרת מ-1 עד 50. עבור כל מספר, אם הוא מתחלק בשבע בדיוק,
     המחשב ידפיס "boom", אחרת המחשב ידפיס את המספר.
     <pre dir=ltr>
     1
     2
     3
     4
     5
     6
     boom
     8
     9
     .
     .
     </pre>
     שימו לב - על מנת לבדוק אם מספר מתחלק בשבע, ללא שארית, נשתמש בפעולה החשבונית
     של חישוב שארית בחלוקה. בשפת פייתון, הסימן % (אחוז) משמש למטרה זו. למשל:
     <pre dir=ltr>
     &gt;&gt;&gt; 1 % 7
     1
     &gt;&gt;&gt; 7 % 7
     0
     &gt;&gt;&gt; 9 % 7
     2
     </pre>
<li> בשלב השני, נכתוב תוכנית בה השחקן משחק לבדו.<br><br>
     כיתבו תוכנית הסופרת מ-1 עד 50 (בלי להדפיס אותם). בכל "סיבוב" של הלולאה:
     <ol>
     <li> התוכנית שואלת את המשתמש מהו המספר ("Next number? ").
     <li> המשתמש רושם את תשובתו ולוחץ על מקש ה-Enter.
     <li> התוכנית בודקת אם תשובת המשתמש היתה חוקית - אם משתנה הלולאה מתחלק בשבע,
          התוכנית מוודאת שהמשתמש רשם "boom". אחרת - היא מוודאת שהמשתמש רשם
          את המספר הנכון.
     <li> במידה והמשתמש טעה, התוכנית מודיעה לו שטעה, ומסתיימת.
     </ol>
 <br><br>
<li> בשלב השלישי, נכתוב את התוכנית המלאה. הפעם, בכל סיבוב של הלולאה, צריך לבדוק
     תור מי לשחק.
     <ul>
     <li> אם תור המחשב, הוא מדפיס את המספר הבא (או "boom", אם המספר מתחלק ב-7)
          - כמו שהיה בשלב 1.
     <li> אם תור השחקן, שואלים אותו מה המספר הבא, ובודקים כמו בשלב 2.
     </ul>
     שימו לב: כדי לדעת תור מי בכל שלב, אפשר להשתמש במשתנה האומר האם תור המחשב או לא.
     <ol>
     <li> בתחילת התוכנית נאתחל את המשתנה ל-0 (השחקן האנושי מתחיל).
     <li> אם השחקן שיחק, נשנה את ערך המשתנה ל-1 (התור עובר למחשב).
     <li> אם המחשב שיחק, נשנה את ערך המשתנה ל-0 (התור עובר לשחקן).
     </ol>

<br><br>
<li> שלב הבונוס - למשחק "7 בום!" יש הרחבה בשם "14 טראח!". הפעם אם המספר
מתחלק ב-7 אומרים "בום!", ואם המספר מתחלק בארבע-עשרה אומרים "טראח!".
בצעו שוב את שלושת השלבים עבור ההרחבה של המשחק.

</ol>
          
</p>

</body>
</html>

